Bug 235764 - (perl-CGI-Ex) Review Request: perl-CGI-Ex - CGI utility suite - makes powerful application writing fun and easy
Review Request: perl-CGI-Ex - CGI utility suite - makes powerful application ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
http://search.cpan.org/dist/CGI-Ex/
:
Depends On: perl-JSON perl-Config-IniHash
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-09 19:59 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 12:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-09 19:59:10 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-CGI-Ex-2.09-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-CGI-Ex.spec

Description:
CGI::Ex provides a suite of utilities to make writing CGI scripts more
enjoyable. Although they can all be used separately, the main functionality
of each of the modules is best represented in the CGI::Ex::App module.
CGI::Ex::App takes CGI application building to the next step. CGI::Ex::App
is not quite a framework (which normally includes pre-built html) instead
CGI::Ex::App is an extended application flow that dramatically reduces CGI
build time in most cases. It does so using as little magic as possible. See
CGI::Ex::App.
Comment 1 Bernard Johnson 2007-04-18 17:21:39 EDT
perl(Crypt::Blowfish) and perl(YAML) are needed for %check.  I also see this
message:

t/3_conf_01_write...............ok
        6/18 skipped: various reasons
t/4_app_00_base.................ok
t/5_dump_00_base................ok

which probably indicates that something else is missing.
Comment 2 Chris Weyl 2007-04-18 20:21:59 EDT
Yes indeedy -- among them, perl(JSON) and perl(Config::IniHash), which I'm
packaging up now.
Comment 3 Chris Weyl 2007-04-19 02:40:30 EDT
Additional BR's packaged and submitted; they're blocking this bug.  I'll post
the updated sources for this package after some needed sleep :)
Comment 4 Bernard Johnson 2007-04-19 02:46:57 EDT
No big rush.  I'm leaving town tomorrow and won't be back until Wednesday.
Comment 5 Chris Weyl 2007-04-20 11:31:18 EDT
Now, with additional BR's :)  Note a couple new deps: perl-JSON and
perl-Config-IniHash

SRPM URL: http://home.comcast.net/~ckweyl/perl-CGI-Ex-2.09-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-CGI-Ex.spec
Comment 6 Bernard Johnson 2007-04-28 03:57:20 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: None
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 7f1d41e11c63da1a836bbbb71fda0a08
     MD5SUM upstream package: 7f1d41e11c63da1a836bbbb71fda0a08
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [!] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [!] Latest version is packaged.

=== Issues ===
1. Missing BR perl(Hash::Case) needed for %check
2. Latest version is 2.10 (recently released)

=== Final Notes ===
1.
Comment 7 Chris Weyl 2007-04-28 11:39:35 EDT
* Sat Apr 28 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.10-1
- add perl(Hash::Case) as a BR
- update to 2.10

SRPM URL: http://home.comcast.net/~ckweyl/perl-CGI-Ex-2.10-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-CGI-Ex.spec
Comment 8 Bernard Johnson 2007-04-28 13:09:47 EDT
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : e48feeff7c3a85c7b0d7c51aac3e6f2f
     MD5SUM upstream package: e48feeff7c3a85c7b0d7c51aac3e6f2f
 [x] Latest version is packaged.

================
*** APPROVED ***
================
Comment 9 Chris Weyl 2007-04-28 13:48:15 EDT
New Package CVS Request
=======================
Package Name: perl-CGI-Ex
Short Description: CGI utility suite - makes powerful application writing fun and easy
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 10 Chris Weyl 2007-04-30 12:33:51 EDT
Imported and building.  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.